Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

  1. #1
    Join Date
    Nov 2009
    Location
    Bucharest, Romania
    Posts
    77

    Default Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Wow ...
    I just experienced a genuine microsoftish moments on my Leap 42.1 box, with your most recent update for KDE framework = plasma 5, right ?
    I had a popup indicating I have some updates, I simply click on it to let them install ..... and after a reboot (considering there were tons of packages of plasma 5 replaced with a newer version, I thought this would be the necessary step, despite it was not mandatory), plasma 5 simply would not complete it's start !! It just stayed at about 1/3 in the splash screen (mouse working of course, but it was the only thing working at this point). No errors on screen, nothing; just a lengthy, almost like frozen screen (it was not frozen, because mouse was moving all right) that never came to any end; as I wrote above, the splash screen bar was frozen at about 1/3 from it's total length.

    So ... I wonder, didn't you guys even tested it at all ?!?

    Now, I finally succeeded to revert, after a painful search for the modified packages (luckily, option "Show history" from the menu "Extras" in Yast2 was a very good friend -- I would make a few examples: kded, kpackage, kconf, baloo*, libKF5* (these are really a tone :-), kcore, kglobal and many, many others) to their previous version; the bad (new) version is something as 5.19.0; the current working version is 5.16.0.
    And now I'm on the working-good plasma5 desktop.

    But .... update notification piece of software is coming again with this update(s) -- as I see them now they are updates named "openSUSE-2016-264" for KDE applications stack and "openSUSE-2016-287" for kde frameworks.
    Obviously I won't give them permission to run again, at least at this point.

    Can anyone explain what happened with all these new packages ?

    Has anybody else experienced such disaster ?
    Linux user #179833

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,496
    Blog Entries
    3

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    I am not having any problems here.

    If there was a kernel update, try rebooting to the previous kernel (use the advanced boot options choice in the menu).
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  3. #3

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Have a look here:
    https://forums.opensuse.org/showthre...gin-(Plasma-5)

    Apparently the KDE Frameworks update to 5.19.0 was copied to the update repo by mistake. It requires an update for Qt5 too, which is not in there yet.

    PS: see also http://bugzilla.opensuse.org/show_bug.cgi?id=968877
    This should be fixed shortly, just update your system then.

    PPS: the update is already in the repo meanwhile. So run YaST->Online Update or "sudo zypper patch" to fix your system.
    Last edited by wolfi323; 01-Mar-2016 at 05:31.

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,496
    Blog Entries
    3

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Quote Originally Posted by wolfi323 View Post
    Apparently the KDE Frameworks update to 5.19.0 was copied to the update repo by mistake. It requires an update for Qt5 too, which is not in there yet.
    The OP says that he has not yet applied openSUSE-2016-287 (as I read it). And I think that's the one you are referring to.

    I did just update two computer with openSUSE-2016-287. And now I am able to login to a wonderful blank screen.

    Fortunately, those aren't critical systems, and login to Icewm still works.

    I'll hold off updating my main desktop.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  5. #5

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Quote Originally Posted by nrickert View Post
    The OP says that he has not yet applied openSUSE-2016-287 (as I read it). And I think that's the one you are referring to.
    Hm? He said he had the problem after installing the updates, and fixed it by reverting to KDE Frameworks 5.16.0.
    Read his post again.

    I did just update two computer with openSUSE-2016-287. And now I am able to login to a wonderful blank screen.
    But why did you create a new bug report?
    I did mention the existing one in my previous post already...

  6. #6
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,496
    Blog Entries
    3

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Quote Originally Posted by wolfi323 View Post
    But why did you create a new bug report?
    I did mention the existing one in my previous post already...
    I updated before that previous post. I searched for openSUSE-2016-287 in bugzilla, but the search came up empty.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  7. #7
    Join Date
    Nov 2009
    Location
    Bucharest, Romania
    Posts
    77

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Hi,

    at this moment (my local hour here is 8:30 GMT+2 :-) ) updates were done successfully this time.
    Granted, now I saw a new one available: 4723 -- for libqt5-qtbase, besides those openSUSE-2016-287 and openSUSE-2016-264 from yesterday try.
    Successfully means that now plasma5 works very well after this update :-)

    Thanks everyone for any tips made so far.
    Linux user #179833

  8. #8

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Yes I too had this problem and used a read-only rollback data-set and re-booted and then ran this command 'snapper rollback' & rebooted back to 'safety'

    My only concern is do I continue un-check fix 'openSUSE-2016-287' for future updates? - and how do I know when the fix for this is fixed?

  9. #9

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    Quote Originally Posted by lcraven View Post
    My only concern is do I continue un-check fix 'openSUSE-2016-287' for future updates? - and how do I know when the fix for this is fixed?
    It is fixed already, as the OP wrote directly before your reply.

    The problem was that the necessary Qt5 update was released a few hours too late although it had been submitted earlier.
    There is (and was) nothing wrong with the 'openSUSE-2016-287' update itself.

    See also http://bugzilla.opensuse.org/show_bug.cgi?id=968877, or one of the several other threads about this problem, e.g. https://forums.opensuse.org/showthre...gin-(Plasma-5)
    Last edited by wolfi323; 02-Mar-2016 at 10:41.

  10. #10

    Default Re: Bad (?) update to plasma 5 on Opensuse Leap 42.1 ?

    The OP said it correctly. My desktop is now a mess. The look/feel has changed radically (breeze desktop and opened windows appear 'electric' - if that means anything) and the panel at the bottom of the screen is much bigger than usual and the lower edge is off the screen and I cannot raise it. My 4 panel pager only shows the top 2 panels as a result of this (as does the digital clock, showing only the top 1/2 of time). The screen has expanded slightly and 25% of the icons at left side are off screen. I have adjusted it's height & width as best I can but still missing the lower 1/2 of it. FWIW, display is using fglrx.

    I did the online update referred to upthread, there is no change to my messed up system. I have libqt5* versions 5.5.1-10.1 and no update indicated.

    I'll wait a bit for suggestions but I can't work with this mess. Later today I will probably be reverting to my last snapshot, which I presently have no idea how to do and will have to research it. Would like to know where to find the necessary info on that.

    Jon

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •